Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHRSAPublicKeyFile

    java.lang.Object
      com.mindbright.ssh.SSHRSAPublicKeyFile

public class SSHRSAPublicKeyFile
extends java.lang.Object

Constructor Summary
`SSHRSAPublicKeyFile(java.io.InputStream fileIn, java.lang.String name, boolean hostFile)`

Method Summary
`void` | `addPublic(java.lang.String opts, java.lang.String user, java.math.BigInteger e, java.math.BigInteger n)`
`int` | `checkPublic(java.math.BigInteger n, java.lang.String host)`
`java.util.Enumeration` | `elements()`
`RSAPublicKey` | `getPublic(java.math.BigInteger n, java.lang.String user)`
`static SSHRSAPublicKeyFile` | `loadFromFile(java.lang.String name, boolean hostFile)`
`void` | `removePublic(java.lang.String host)`
`void` | `saveToFile(java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHRSAPublicKeyFile

    public SSHRSAPublicKeyFile(java.io.InputStream fileIn,
                               java.lang.String name,
                               boolean hostFile)
                        throws java.io.IOException

Method Detail

### loadFromFile

    public static SSHRSAPublicKeyFile loadFromFile(java.lang.String name,
                                                   boolean hostFile)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveToFile

    public void saveToFile(java.lang.String fileName)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### elements

    public java.util.Enumeration elements()

### getPublic

    public RSAPublicKey getPublic(java.math.BigInteger n,
                                  java.lang.String user)

### checkPublic

    public int checkPublic(java.math.BigInteger n,
                           java.lang.String host)

### addPublic

    public void addPublic(java.lang.String opts,
                          java.lang.String user,
                          java.math.BigInteger e,
                          java.math.BigInteger n)

### removePublic

    public void removePublic(java.lang.String host)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD